<!DOCTYPE html>
<html>
<head>
    <script src="static/js/jquery-3.3.1.min.js"></script>
    <script src="static/js/socket.io.min.js"></script>
    <script src="static/js/utils.js"></script>
    <script src="static/js/Chart.bundle.js"></script>
    <script src="static/js/application.js"></script>



    <link rel="stylesheet" href="static/css/bootstrap.min.css">
</head>
<body>
<!--div class="container">
  <div class="jumbotron">
    <h1>Asynchronous Flask Communication</h1>
    <p>Random numbers generated by the Flask server will appear below, asynchronously.</p>
    <p>Details <a href='https://www.shanelynn.ie/asynchronous-updates-to-a-webpage-with-flask-and-socket-io/' target='_blank'>here.</a></p>
  </div>
</div>
    
</div-->

<div class="container" id="content">
    <div class="row">
        <h3>Last Data:</h3>
        <div id="log">
		<p>Time: {{ time }}</p><p>Temperature {{ temp }}</p><p> Humidity: {{ humidity }}</p>
	</div>
	<div id="status">
		<p>USB status: {{ usb_status }}</p>
	</div>
        <h3>History:</h3>
	<div style="width:75%;">
	    <canvas id="canvas"></canvas>
	</div>

	<h3>Config:</h3>
	<div id="period_change">
	    <input type="text" value="{{ period }}" id="new_period">
	    <input type="button" value="Change period" onclick="change_period()">
	</div>
	<div id="log_timer_change">
	    <input type="text" value="{{ log_timer }}" id="new_log_timer">
	    <input type="button" value="Change log timer" onclick="change_log_timer()">
	</div>
	<div id="reset_time">
	    <input type="button" value="Reset logging t0" onclick="reset_t0()">
	</div>
    </div>
</div>



</body>
</html>
